# CMMotionRemover Class Reference

This class prevents the center of mass of a System from drifting. More...

Inheritance diagram for CMMotionRemover:

List of all members.

## Public Member Functions
def | getFrequency
| getFrequency(CMMotionRemover self) -> int
def | setFrequency
| setFrequency(CMMotionRemover self, int freq)
def | __init__
| __init__(OpenMM.CMMotionRemover self, int frequency=1) -> CMMotionRemover __init__(OpenMM.CMMotionRemover self) -> CMMotionRemover __init__(OpenMM.CMMotionRemover self, CMMotionRemover other) -> CMMotionRemover
def | __del__
| __del__(OpenMM.CMMotionRemover self)
## Public Attributes
| this

## Detailed Description

This class prevents the center of mass of a System from drifting.

At each time step, it calculates the center of mass momentum, then adjusts the individual particle velocities to make it zero.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(OpenMM.CMMotionRemover self)

Reimplemented from Force.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(OpenMM.CMMotionRemover self, int frequency=1) -> CMMotionRemover __init__(OpenMM.CMMotionRemover self) -> CMMotionRemover __init__(OpenMM.CMMotionRemover self, CMMotionRemover other) -> CMMotionRemover

Create a CMMotionRemover.

def getFrequency | ( |  | self | ) |

getFrequency(CMMotionRemover self) -> int

Get the frequency (in time steps) at which center of mass motion should be removed

def setFrequency | ( |  | self,
|  |  | args |
| ) |  |  |

setFrequency(CMMotionRemover self, int freq)

Set the frequency (in time steps) at which center of mass motion should be removed

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py